// PWBNav.h : main header file for the PROJECT_NAME application
//

#pragma once

#ifndef __AFXWIN_H__
	#error include 'stdafx.h' before including this file for PCH
#endif

#include "resource.h"		// main symbols


// CPWBNavApp:
// See PWBNav.cpp for the implementation of this class
//

class CPWBNavApp : public CWinApp
{
public:
	CPWBNavApp();

// Overrides
public:
	virtual BOOL InitInstance();

// Implementation
	DECLARE_MESSAGE_MAP()

public:
	CString m_szURL;
	CString m_szINI;
	CString m_szWord;
	CString m_szRun;

	BOOL m_bOpenNew;
	BOOL m_bRunHidden;
	BOOL m_bCloseSecondary;
	BOOL m_bReadINIFile;

	void GetCommandLine(void);
	BOOL WriteINIFile(CString szINI);
	BOOL CloseSecondary(void);
	BOOL NavigateURL(CString szURL, BOOL bOpenNew = FALSE, CString szApplication = _T(""));
	BOOL ReadINIFile(CString szApplication = _T(""));
	BOOL StartApplication(CString szApplication, CString szCommandLine = _T(""), BOOL bWait = FALSE, BOOL bIdle = TRUE, INT nSleep = 0, WORD wShowWindow = SW_SHOWNORMAL);	
};

extern CPWBNavApp theApp;